Package ru.bitel.bgbilling.modules.softline.common.bean

# Enum AccountStatus

java.lang.Object
java.lang.Enum<AccountStatus>
ru.bitel.bgbilling.modules.softline.common.bean.AccountStatus

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<AccountStatus>`, `java.lang.constant.Constable`

    public enum AccountStatus
    extends java.lang.Enum<AccountStatus>

Описание состояний пользователя в системе SoftLine

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `ACTIVE` |
  `BLOCKED` |
  `DEFINED` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getCode()` |
  `java.lang.String` | `getDescription()` |
  `java.lang.String` | `getDescription​(int code)` |
  `static AccountStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static AccountStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ACTIVE

    public static final AccountStatus ACTIVE

  - ### DEFINED

    public static final AccountStatus DEFINED

  - ### BLOCKED

    public static final AccountStatus BLOCKED

- ## Method Details

  - ### values

    public static AccountStatus[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AccountStatus valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getCode

    public int getCode()

  - ### getDescription

    public java.lang.String getDescription()

  - ### getDescription

    public java.lang.String getDescription​(int code)